Orvelt

Respond to an opinion

POST
/project/{projectId}/opinions/{id}/reply

Post a public team response to an opinion.

Requires a Business session or a resource-authorized OAuth token and the applicable member access. API keys are not accepted.

Authorization

cookieorvelt-biz.session_token<token>

An existing Business session. Browser requests must also pass origin and CSRF checks.

Path Parameters

projectId*string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid
id*string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid

Request Body

application/json
  1. body
content*string
Length1 <= length <= 5000

Response Body

OK

application/json
  1. response
reply*
Example Request
curl -X POST 'https://api.orvelt.com/v1/project/497f6eca-6276-4993-bfeb-53cbbbba6f08/opinions/497f6eca-6276-4993-bfeb-53cbbbba6f08/reply' \
  -H 'Content-Type: application/json' \
  -d '{
  "content": "string"
}'
Example Response
{
  "reply": {
    "id": "string",
    "opinionId": "string",
    "content": "string",
    "createdAt": "2019-08-24T14:15:22Z",
    "user": {
      "id": "string",
      "name": "string",
      "avatarUrl": "string",
      "isOwner": true
    }
  }
}